%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-toposort
Version:       1.10
Release:       1mamba
Summary:       Implements a topological sort algorithm
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/toposort/
Source:        https://pypi.debian.net/toposort/toposort-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n toposort-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%{python_sitelib}/%{pkgname}.py
%{python_sitelib}/__pycache__/toposort.cpython-*.pyc
%doc LICENSE.txt

%changelog
* Mon Feb 27 2023 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic version update by autodist

* Wed Jan 11 2023 Automatic Build System <autodist@mambasoft.it> 1.9-1mamba
- automatic version update by autodist

* Tue Jan 10 2023 Automatic Build System <autodist@mambasoft.it> 1.8-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Automatic Build System <autodist@mambasoft.it> 1.7-1mamba
- automatic version update by autodist

* Mon Feb 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-2mamba
- rebuilt with distdeps

* Fri Dec 18 2020 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5-1mamba
- package created using the webbuild interface
